.Dd November 11, 1997
.Dt UPSD 8
.Os FreeBSD
.Sh NAME
.Nm upsd
.Nd Uninterruptable Power Supply (UPS) Monitor
.Sh SYNOPSIS
.Nm upsd
.Sh DESCRIPTION
.Nm upsd
is a daemon which monitors the status of uninterruptable power
supplies, or UPSs for short.  
.Nm upsd 
can monitor UPSs which communicate with their host by sending
characters over a RS-232 serial link, such as the American Power
Conversion SmartUPS and SmartUPS v/s series devices.  The daemon is
extensible so other UPS types can be added into the daemon.
.Pp
The daemon is controlled by the file
.Pa /etc/upsd.conf .
The syntax of this file is described in
.Xr upsd.conf 5 .
The configuration file defines the device parameters as well as the
actions to take periodically and in response to UPS events.

.Sh DIAGNOSTICS
All errors are written to the system log. If the daemon is starting
but exiting immediately, check the console or system log.

.Sh SEE ALSO
.Xr upsd.conf 5

.Sh AUTHOR

.Nm upsd
was originally written by Alexis Yushin (alexis@ww.net).
Modifications to support 120 volt values were made by Doug White
(dwhite@resnet.uoregon.edu).
.Pp
This man page was written by Doug White (dwhite@resnet.uoregon.edu).

.Sh BUGS

.Nm upsd
doesn't recognize standard daemon signals such as SIGHUP and SIGTERM.
The daemon must be kill -KILL 'ed and restarted manually.



